routes/web.php
<?php

//BASIC ROUTES

Route::get('/', function () {
    return view('frontend/pages/home');
});

Route::get('/auctioneers', 'AuctioneersController@showAll');
Route::get('/auctioneers/{slug}', 'AuctioneersController@show');

Route::get('/auction-houses', 'AuctionHousesController@showAll');
Route::get('/auction-houses/{slug}', 'AuctionHousesController@show');

Route::get('/contact', function () {
    return view('frontend/pages/contact');
});
Route::post('/contact', ['as' => 'contact_us', 'uses' => 'HomeController@sendEmail']);
Route::get('/policy', function () {
    return view('frontend/pages/privacy-policy');
});
//DASHBOARD ROUTES

Route::get('/dashboard', 'HomeController@index');

Auth::routes();

Route::resource('/dashboard/auctioneers', 'AuctioneersController');
Route::resource('/dashboard/auction-houses', 'AuctionHousesController');
Route::get('/dashboard/corrections', 'CorrectionsController@index');

//AJAX ROUTES
Route::post('/submit-business', ['as' => 'submitBusiness', 'uses' => 'HomeController@saveBusiness']);
Route::post('/dashboard/auctioneers/{id}/approve', ['as' => 'approve.auctioneer', 'uses' => 'AuctioneersController@approve']);
Route::post('/dashboard/auction-houses/{id}/approve', ['as' => 'approve.auction.house', 'uses' => 'AuctionHousesController@approve']);
Route::post('/dashboard/corrections', ['as' => 'add.correction', 'uses' => 'CorrectionsController@store']);
Route::delete('/dashboard/corrections/{id}', ['as' => 'remove.correction', 'uses' => 'CorrectionsController@destroy']);

app/Http/Controllers/AuctionHousesController.php
<?php


namespace App\Http\Controllers;

use App\Models\AuctionHouse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

/**
 * Class HomeController
 * @package App\Http\Controllers
 */
class AuctionHousesController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth', ['except'=>['show','showAll']]);
    }

    /**
     * Show all auctioneers on frontend
     */
    public function showAll()
    {
        $auctionHouses = AuctionHouse::all()->where('type','=','regular');

        return view('frontend.pages.auction-houses')->with('auctionHouses', $auctionHouses);
    }

    public function index()
    {
        $auctionHouses = AuctionHouse::orderByRaw("FIELD(type, \"submitted\", \"regular\")")->get();

        return view('dashboard.pages.auctionhouses.list')->with('auctionHouses', $auctionHouses);
    }

    public function create()
    {
        return view('dashboard.pages.auctionhouses.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'phone' => 'required',
            'email' => 'required|email',
            'slug' => "required|unique:auctioneers,slug"
        ]);

        $inputData = $request->all();
        $inputData['user_id'] = Auth::user()->id;

        $client = new AuctionHouse();
        $client->fill($inputData);
        $saved = $client->save();

        if($saved){
            return redirect()->route('auction-houses.index');
        }
    }

    public function show($slug)
    {
        $auctionHouse = AuctionHouse::where([['type','=','regular'], ['slug','=',$slug]])->firstOrFail();

        return view('frontend.pages.auctioneer-house')->with('auctionHouse',$auctionHouse);
    }

    public function edit($id)
    {
        $auctionHouse = AuctionHouse::findOrFail($id);

        return view('dashboard.pages.auctionhouses.edit')->with('auctionHouse',$auctionHouse);
    }

    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
            'phone' => 'required',
            'email' => 'required|email',
            'slug' => "required|unique:auctioneers,slug"
        ]);

        $inputData = $request->all();

        $inputData['user_id'] = Auth::user()->id;

        $updated = AuctionHouse::find($id)->update($inputData);

        if($updated){
            return redirect()->route('auction-houses.index');
        }
    }

    public function destroy($id)
    {
        try {
            AuctionHouse::find($id)->delete();

            return response()->json('',200);
        }
        catch (\Exception $e) {

            return response()->json(['status' => 'error', 'message' => $e->getMessage()], 403 );
        }
    }

    public function approve($id)
    {

        $inputData['user_id'] = Auth::user()->id;
        $inputData['type'] = AuctionHouse::REGULAR_AUCTION_HOUSE;

        $updated = AuctionHouse::findOrFail($id)->update($inputData);

        if($updated){
            return redirect()->route('auctioneers.index');
        }
    }
}

resources/views/dashboard/pages/auctionhouses/create.blade.php
@extends('dashboard.default')

@section('content')

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Add auctioneers house
            </h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="#">Auctioneers Houses</a></li>
                <li class="active">Add new</li>
            </ol>
            <br>
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <!-- form start -->
                <form action="{{ route('auction-houses.store') }}" method="POST" role="form" id="auctioneers-form">
                    <!-- left column -->
                    <div class="col-md-6">

                        <!-- general form elements -->
                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <h3 class="box-title">Auctioneers house details</h3>
                            </div>
                            <!-- /.box-header -->

                            {{ csrf_field() }}
                            <div class="box-body">
                                <div class="form-group">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" name="name" id="name" placeholder="Enter name">
                                </div>
                                <div class="form-group">
                                    <label for="city">City</label>
                                    <input type="text" class="form-control" name="city" id="city" placeholder="City">
                                </div>
                                <div class="form-group">
                                    <label for="phone">Phone</label>
                                    <input type="text" class="form-control" name="phone" id="phone" placeholder="Phone">
                                </div>
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="email" class="form-control" name="email" id="email" placeholder="Email">
                                </div>
                                <div class="form-group">
                                    <label for="website">Website</label>
                                    <input type="text" class="form-control" name="website" id="website" placeholder="Website">
                                </div>

                            </div>
                            <!-- /.box-body -->

                        </div>
                        <!-- /.box -->
                        <button type="submit" class="btn btn-primary">Save</button>

                    </div>
                    <!--/.col (left) -->
                    <!-- right column -->
                    <div class="col-md-6">
                        <!-- general form elements -->
                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <h3 class="box-title">Location</h3>
                            </div>
                            <!-- /.box-header -->
                            <div class="box-body">
                                <div class="form-group">
                                    <label for="address">Address</label>

                                    <div class="input-group">
                                        <input type="text" name="address" id="address" placeholder="Address" class="form-control">
                                        <input type="hidden" name="lat" id="lat" value="">
                                        <input type="hidden" name="lng" id="lng" value="">

                                        <span class="input-group-btn">
                                      <button type="button" class="btn btn-success btn-flat" onclick="codeAddress()">Add marker!</button>
                                    </span>
                                    </div>

                                </div>

                                <div id="dashboard-map">

                                </div>
                            </div>
                            <!-- /.box-body -->

                        </div>
                        <!-- /.box -->

                    </div>
                    <!--/.col (right) -->
                </form>
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

@endsection
@section('custom-footer-js')
    <script>
        var geocoder;
        var map;
        var marker = null;

        function initialize() {
            geocoder = new google.maps.Geocoder();
            var latlng = new google.maps.LatLng(33.7489954, -84.3879824);
            var mapOptions = {
                zoom: 8,
                center: latlng
            }
            map = new google.maps.Map(document.getElementById('dashboard-map'), mapOptions);

            google.maps.event.addListener(map, 'click', function(event) {
                //If marker is already added change position on click
                if(marker && marker.setPosition){
                    window.marker.setPosition(event.latLng);
                    //Else place marker
                } else {
                    marker = placeMarker(event.latLng);
                }
                document.getElementById("lng").value = event.latLng.lng();
                document.getElementById("lat").value = event.latLng.lat();
            });

            function placeMarker(location) {
                marker = new google.maps.Marker({
                    position: location,
                    map: map,
                    draggable:true
                });
                google.maps.event.addListener(marker, 'dragend', function (event) {

                    document.getElementById("lng").value = this.getPosition().lng();
                    document.getElementById("lat").value = this.getPosition().lat();
                });
                return marker;
            }
        }

        function codeAddress() {
            var address = document.getElementById('address').value;
            var loc=[];

            geocoder.geocode( { 'address': address}, function(results, status) {
                if (status == 'OK') {
                    map.setCenter(results[0].geometry.location);

                    if(marker && marker.setPosition){
                        window.marker.setPosition(results[0].geometry.location);

                    }else{
                        marker = new google.maps.Marker({
                            map: map,
                            position: results[0].geometry.location,
                            draggable:true
                        });
                    }

                    document.getElementById("lng").value = results[0].geometry.location.lng();
                    document.getElementById("lat").value = results[0].geometry.location.lat();
                    google.maps.event.addListener(marker, 'dragend', function (event) {

                        document.getElementById("lng").value = this.getPosition().lng();
                        document.getElementById("lat").value = this.getPosition().lat();
                    });

                } else {

                    var errorMessage = 'Geocode was not successful for the following reason: ' + status;
                    sweetAlert("Oops...", errorMessage, "error");
                }
            });
        }
    </script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAXlBaKMHpXArLGHk4MrTs6TuTFEN1OA1A&callback=initialize">
    </script>
@endsection()

resources/views/dashboard/pages/auctionhouses/list.blade.php
@extends('dashboard.default')

@section('page_title','Auction Houses list')

@section('custom-css')
<!-- DataTables -->
<link rel="stylesheet" href="{{ asset('assets/dashboard/plugins/datatables/dataTables.bootstrap.css') }}">
@endsection

@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Auctioneers Houses
            </h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Auctioneers Houses</a></li>
                <li class="active">Show all auctioneers houses</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">

                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">Auctioneers houses list</h3>
                            <a href="{{ route('auction-houses.create') }}" role="button" class="btn btn-success btn-md pull-right">Create</a>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>City</th>
                                    <th>Address</th>
                                    <th class="no-sort">Phone</th>
                                    <th>Email</th>
                                    <th>Created At</th>
                                    <th class="no-sort">Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($auctionHouses as $auctionHouse)
                                    <tr {{ ($auctionHouse->type == \App\Models\AuctionHouse::SUBMITTED_AUCTION_HOUSE)?'class=submitted-row':'' }}>
                                        <td>{{ $auctionHouse->id }}</td>
                                        <td>{{ $auctionHouse->name }}</td>
                                        <td>{{ $auctionHouse->city }}</td>
                                        <td>{{ $auctionHouse->address }}</td>
                                        <td>{{ $auctionHouse->phone }}</td>
                                        <td>{{ $auctionHouse->email }}</td>
                                        <td>{{ $auctionHouse->created_at }}</td>
                                        <td>
                                            <a href="{{ url("/auction-houses/$auctionHouse->id") }}" target="_blank" role="button" class="btn btn-link btn-xs">View</a>
                                            <a href="{{ URL::action('AuctionHousesController@edit', [$auctionHouse->id]) }}" role="button" class="btn btn-primary btn-xs">Edit</a>

                                            {{ Form::open(['route' => ['auction-houses.destroy', $auctionHouse->id], 'method' => 'delete', 'id'=>'auctioneer-form-delete', 'style'=>'display:inline;']) }}
                                            <button type="submit" data-id="{{ $auctionHouse->id }}" class="btn btn-danger btn-xs button-delete-auctioneer">Delete</button>
                                            {{ Form::close() }}

                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>City</th>
                                    <th>Address</th>
                                    <th>Phone</th>
                                    <th>Email</th>
                                    <th>Created At</th>
                                    <th>Actions</th>
                                </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

@endsection

@section('custom-footer-js')
    <!-- DataTables -->
    <script src="{{ asset('assets/dashboard/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/plugins/datatables/dataTables.bootstrap.min.js') }}"></script>
    <!-- page script -->
    <script>
        $(function () {
            $('#example1').DataTable({
                "order": [],
                "columnDefs": [ {
                    "targets"  : 'no-sort',
                    "orderable": false,
                }]
            });
        });
    </script>
    <script>

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $(".button-delete-auctioneer").click(function(e){
            var id = $(this).data('id');
            var row = $(this).closest('tr');
            e.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "You will not be able to recover this auctioneer!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Yes, delete it!",
                    cancelButtonText: "No, cancel plx!",
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function(isConfirm){
                    if (isConfirm) {

                        var url = "{{ asset('dashboard/auction-houses') }}/" + id;

                        $.ajax({
                            method: "DELETE",
                            url: url,
                            success: function(data){
                                swal("Deleted!", "The auctioneer has been deleted.", "success");
                                $(row).remove();
                            },
                            error: function(data){
                                var errors = data;
                                console.log(errors);
                                swal("Error", errors, "error");
                            }
                        });
                    } else {
                        swal("Cancelled", "", "error");
                    }
                });
        });
    </script>
@endsection